List Memory Threads
curl --request GET \
--url https://api.example.com/admin/v1/memory-threads{
"data": {
"items": [
{
"userId": "<string>",
"agentId": "<string>",
"memoryId": "<string>",
"threadKey": "<string>",
"threadType": "<string>",
"anchorKind": "<string>",
"anchorKey": "<string>",
"displayLabel": "<string>",
"lifecycleStatus": "<string>",
"objectState": "<string>",
"headline": "<string>",
"snapshotJson": {},
"snapshotVersion": 123,
"openedAt": "2023-11-07T05:31:56Z",
"lastEventAt": "2023-11-07T05:31:56Z",
"lastMeaningfulUpdateAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"eventCount": 123,
"memberCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasPrevious": true,
"hasNext": true
}
}
}Memory Threads
List Memory Threads
GET
/
admin
/
v1
/
memory-threads
List Memory Threads
curl --request GET \
--url https://api.example.com/admin/v1/memory-threads{
"data": {
"items": [
{
"userId": "<string>",
"agentId": "<string>",
"memoryId": "<string>",
"threadKey": "<string>",
"threadType": "<string>",
"anchorKind": "<string>",
"anchorKey": "<string>",
"displayLabel": "<string>",
"lifecycleStatus": "<string>",
"objectState": "<string>",
"headline": "<string>",
"snapshotJson": {},
"snapshotVersion": 123,
"openedAt": "2023-11-07T05:31:56Z",
"lastEventAt": "2023-11-07T05:31:56Z",
"lastMeaningfulUpdateAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"eventCount": 123,
"memberCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasPrevious": true,
"hasNext": true
}
}
}The API Reference is under active development. Request and response schemas may change before a stable release.
⌘I

